booster::hold_ptr< T > Class Template Reference

a smart pointer similar to std::auto_ptr but it is non-copyable and underlying object has same constness as the pointer itself (not like in ordinary pointer). More...

`#include <booster/booster/hold_ptr.h>`

## Public Member Functions

| hold_ptr (T *v)
T const * | get () const
T * | get ()
T const & | operator* () const
T & | operator* ()
T const * | operator-> () const
T * | operator-> ()
T * | release ()
void | reset (T *p=0)
void | swap (hold_ptr &other)

## Detailed Description

### template<typename T>
class booster::hold_ptr< T >

a smart pointer similar to std::auto_ptr but it is non-copyable and underlying object has same constness as the pointer itself (not like in ordinary pointer).

The documentation for this class was generated from the following file:

- booster/hold_ptr.h